Bug 1826516 - cockpit-session-recording rebase for RHEL 8.3
Summary: cockpit-session-recording rebase for RHEL 8.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cockpit-session-recording
Version: 8.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.3
Assignee: jstephen
QA Contact: Ondrej Moriš
Lucie Maňásková
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-21 20:42 UTC by jstephen
Modified: 2020-11-04 21:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.cockpit-session-recording rebased to version 4 The `cockpit-session-recording` module has been rebased to version 4. This version provides following notable changes over the previous version: * Updated parent id in the `metainfo` file. * Updated package manifest. * Fixed `rpmmacro` to resolve correct path on CentOS7. * Handled byte-array encoded journal data. * Moved code out of deprecated React lifecycle functions.
Clone Of:
Environment:
Last Closed: 2020-11-04 03:28:14 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4741 0 None None None 2020-11-04 03:28:18 UTC

Description jstephen 2020-04-21 20:42:17 UTC
Tracker bug for RHEL 8.3 release

Comment 1 jstephen 2020-05-20 19:40:30 UTC
Rebase cockpit-session-recording to Release v4: https://github.com/Scribery/cockpit-session-recording/releases/tag/4

List of changes:

- Update parent id in metainfo file
- Update package manifest
- Fix rpmmacro to resolve correct path on CentOS7
- Handle byte-array encoded journal data
- Don't clobber cockpit bots directory
- Move code out of deprecated React lifecycle functions

Comment 13 errata-xmlrpc 2020-11-04 03:28:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (cockpit-session-recording bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4741


Note You need to log in before you can comment on or make changes to this bug.